unit PM_CommData;

interface

uses Classes, NxColumns;

type
  TArrayOfBool = array [0..8] of boolean;         // widoczne kolumny
  THostRecord = record
    ID: string;
    Host: string;
    IP: string;
    HostType: integer;
    Protocol: string;
    Port: integer;
    Path: string;
    Verbosity: boolean;
    User:string;
    Session: string;
    Description: string;
  end;
  TColumnsState = record
    ColumnsKind: TSortKind;
    ColumnsSorted: boolean;
  end;
  TAppSettings = record
    Width: integer;
    Height: integer;
    Left: integer;
    Top: integer;
    dLeft: integer;                               // przesuniecie okna "nowy host"
    dTop: integer;                                // przesuniecie okna "nowy host"
    FontSize: integer;
    Autohide: boolean;
    OnTop: boolean;
    VisibleCols: TArrayOfBool;
    Sorted: integer;
    SortKindAsc: boolean;
    PMRow: string;
    InactiveDel: boolean;
  end;
  TExecCommand = record
    Protocol: string;
    Exec: string;
    Option: string;
  end;
  TProtocols = record
    Name: string;
    Ip: integer;
    DefIp: string;
    Verbosity: integer;
    DefVerosity: boolean;
    Port: integer;
    DefPort: integer;
    User: integer;
    DefUser: string;
    Path: integer;
    DefPath: string;
    Session: integer;
    DefSession: string;
    SavedSession: string;
  end;
  TReqFields = record
    Name: string;
    Req: integer;
    Empty: boolean;
    OK: boolean;
  end;
  TDevIcons = record
    id: integer;
    Name: string;
    FileImage: string;
  end;

Procedure DefaultAppSetings;

var
  ExecCommands: array of TExecCommand;
  Protocols: array of TProtocols;
  MouseOnRow: integer;
  RowSelected: integer;
  HostSelectedS: string;
  ColW: array of integer;
  AppSettings: TAppSettings;
  AppError: boolean = False;
  ColumnsState: array of TColumnsState;
  Fields: byte=0;                           // bitowo - pola spelniajace warunek
  HostRecord: THostRecord;
  NewHost:boolean;
  ReqField: byte=67;                        // bitowo - pola wymagane
  SessionRDP: array of string;
  SessionPUTTY: array of string;
  ReqFields: array [0..10] of TReqFields;
  FormLeft: integer;
  DevIcons: array of TDevIcons;

  // 1 - Edit1
  // 2 - Edit2
  // 4 - ComboBoxEx1
  // 8 - ComboBox1
  // 16 - Edit4
  // 32 - Edit3
  // 64 - ComboBox2 / ComboBox3

const
  PuttyPath: string = '\Software\SimonTatham\PuTTY\Sessions\';
  CommandErr: string = '%err%';


implementation

Procedure DefaultAppSetings;
var
  i: integer;
begin
  AppSettings.Width:=296;
  AppSettings.Height:=426;
  AppSettings.Left:=500;
  AppSettings.Top:=100;
  AppSettings.dLeft:=-70;
  AppSettings.dTop:=90;
  AppSettings.FontSize:=9;
  AppSettings.OnTop:=False;
  AppSettings.VisibleCols[2]:=True;
  AppSettings.VisibleCols[3]:=False;
  AppSettings.VisibleCols[4]:=False;
  AppSettings.VisibleCols[5]:=False;
  AppSettings.VisibleCols[6]:=False;
  AppSettings.VisibleCols[7]:=False;
  AppSettings.VisibleCols[8]:=False;
  AppSettings.Sorted:=1;
  AppSettings.SortKindAsc:=True;
  AppSettings.PMRow:='';
  AppSettings.InactiveDel:=False;
  for i:=0 to High(ReqFields) do ReqFields[i].Req:=0;
  ReqFields[0].Name:='host';
  ReqFields[0].Req:=2;
  ReqFields[0].OK:=False;
  ReqFields[0].Empty:=True;
  ReqFields[1].Name:='ip';
  ReqFields[2].Name:='protocol';
  ReqFields[2].Req:=2;
  ReqFields[2].OK:=False;
  ReqFields[2].Empty:=True;
  ReqFields[3].Name:='type';
  ReqFields[3].Req:=1;
  ReqFields[3].OK:=False;
  ReqFields[3].Empty:=True;
  ReqFields[4].Name:='verbosity';
  ReqFields[4].OK:=True;
  ReqFields[4].Empty:=False;
  ReqFields[5].Name:='port';
  ReqFields[6].Name:='user';
  ReqFields[7].Name:='path';
  ReqFields[8].Name:='session';
  ReqFields[9].Name:='description';
  ReqFields[9].Req:=1;
  ReqFields[9].OK:=True;
  ReqFields[9].Empty:=True;
end;


end.
 